# class Gem::ConsoleUI

Subclass of StreamUI that instantiates the user interaction using $stdin, $stdout, and $stderr.

### Public Class Methods

new ()
Source

    # File lib/rubygems/user_interaction.rb, line 602
    def initialize
      super $stdin, $stdout, $stderr, true
    end

The Console UI has no arguments as it defaults to reading input from stdin, output to stdout and warnings or errors to stderr.

Calls superclass method `Gem::StreamUI::new`